<div class="container-fluid" [attr.data-version]="appVersion">
    <div class="row">
        <div class="col-12 col-md-9">
            <h2 id="liste"><span class="bd-content-title">{{ 'analytics.title' | translate }}</span></h2>
            <p>{{ 'analytics.subtitle' | translate }}</p>
        </div>
        <div class="col-12 col-md-3">
        </div>
    </div>
    <div class="row flex-xl-nowrap">
        <div class="col-12 col-md-3 col-xl-2">
            <div class="nav nav-tabs nav-tabs-vertical" id="nav-vertical-tab" role="tablist"
                 aria-orientation="vertical">
                <a class="nav-link active" id="calendar-tab" data-toggle="tab" href="#calendar" role="tab"
                   aria-controls="calendar" aria-selected="true" (click)="loadTab1()">{{ 'tabs.bookings' | translate }}</a>
                <a class="nav-link" id="users-tab" data-toggle="tab" href="#users" role="tab" aria-controls="users"
                   aria-selected="false" (click)="loadTab2()">{{ 'tabs.use_services' | translate }}</a>
            </div>
        </div>
        <main class="col-12 col-md-9 col-xl-10 py-md-3 px-md-3">
            <div class="alert alert-danger" role="alert" *ngIf="!validate" [innerHTML]="'errors.alert_tenant' | translate"></div>
            <div class="tab-content" id="nav-vertical-tabContent">
                <div class="tab-pane p-3 fade show active" id="calendar" role="tabpanel" aria-labelledby="calendar-tab">
                    <div class="card-wrapper card-space w-100">
                        <div class="card card-bg w-100">
                            <div class="card-header">
                                <div class="row row-sm">
                                    <div class="col-12 col-md-12 col-lg-6">
                                        <div>
                                            <label class="h-50">{{ 'select.label_service' | translate }}</label>
                                            <angular2-multiselect-custom
                                                    [data]="itemList"
                                                    [(ngModel)]="selectedItems"
                                                    [settings]="settings"
                                                    (onSelect)="onItemSelect()"
                                                    (onDeSelect)="onItemSelect()"
                                                    (onSelectAll)="onItemSelect()"
                                                    (onDeSelectAll)="onItemSelect()"
                                                    (onGroupSelect)="onItemSelect()"
                                                    (onGroupDeSelect)="onItemSelect()"
                                                    (onFilterDeSelectAll)="onItemSelect()"
                                                    (onFilterSelectAll)="onItemSelect()"
                                            >
                                            </angular2-multiselect-custom>
                                        </div><!-- select -->
                                    </div>
                                    <div class="col-12 col-md-12 col-lg-6">
                                        <div>
                                            <label class="h-50">{{'select.label_period' | translate }}</label>
                                            <angular2-multiselect-custom
                                                    [data]="itemListInterval"
                                                    [(ngModel)]="selectedIntervalItems"
                                                    [settings]="settingsInterval"
                                                    (onSelect)="onItemSelect()">
                                            </angular2-multiselect-custom>
                                        </div><!-- select -->
                                    </div>
                                </div><!-- row -->
                            </div>
                            <div class="card-body">
                                <div class="row row-sm">
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="bookings && !loading">
                                            <app-period-labels [data]="bookings" [key]="'bookings'"></app-period-labels>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="availability && !loading">
                                            <app-period-labels [data]="availability" [key]="'first_availability'"></app-period-labels>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="availability && !loading" class="position-relative">
                                            <div class="ribbon ribbon-top-right-15 new"><span>SOON</span></div>
                                            <label class="span-label color-a">Capacità</label>
                                            <div class="span-label d-flex justify-content-between align-items-center">
                                                <div class="color-a">Ore totali disponibili </div>
                                                <h2 class="color-a">22%</h2></div>
                                            <div class="desc up color-a">
                                                <p><span
                                                        class="span-label color-a">{{'common.previous_period_var' | translate }}</span>
                                                    <span>
                <strong class="color-a">5%</strong></span></p>
                                                <p><span
                                                        class="color-a span-label">{{'common.avg_var' | translate }}</span><span><strong
                                                        class="color-a">
                5%
              </strong></span></p>
                                                <div class="span-label d-flex justify-content-between align-items-center">
                                                    <div>Numero slot </div>
                                                    <h4>22%</h4></div>
                                                <div class="span-label d-flex justify-content-between align-items-center">
                                                    <div>Durata media slot</div>
                                                    <h4>30'</h4></div>
                                            </div>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column color-a" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="availability && !loading" class="position-relative">
                                            <div class="ribbon ribbon-top-right-30 new"><span>SOON</span></div>
                                            <label class="span-label color-a">Saturazione</label>
                                            <h2 class="color-a"><span></span>50%</h2>
                                            <div class="desc up">
                                                <p><span
                                                        class="span-label color-a">{{'common.previous_period_var' | translate }}</span>
                                                    <span>
                <strong class="color-a">5%</strong></span></p>
                                                <p><span
                                                        class="color-a span-label">{{'common.avg_var' | translate }}</span><span><strong
                                                        class="color-a">
                5%
              </strong></span></p>
                                            </div>
                                        </div>
                                    </div><!-- col -->
                                </div><!-- row -->
                            </div>
                        </div>
                    </div>
                    <div class="row w-100 px-1">
                        <div class="col-12 col-md-6 d-flex justify-content-center my-3">
                            <app-pie *ngIf="tab1 && chartsPie" [data]="chartsPie" [textLabel]="'charts.booking_channels' | translate" [demo]="true"></app-pie>
                        </div>
                        <div class="col-12 col-md-6 my-3">
                              <app-bar *ngIf="tab1 && charts" [data]="charts" [textLabel]="'charts.appointment_saturation_rate' | translate" [currentPlan]="'PRO'"></app-bar>
                        </div>
                    </div>
                </div>
                <div class="tab-pane p-3 fade" id="users" role="tabpanel" aria-labelledby="users-tab" >
                    <div class="card-wrapper card-space w-100">
                        <div class="card card-bg w-100">
                            <div class="card-header">
                                <div class="row row-sm">
                                    <div class="col-12 col-md-12 col-lg-6">
                                        <div>
                                            <label class="h-50">{{ 'select.label_service' | translate }}</label>
                                            <angular2-multiselect-custom
                                                    [data]="itemList"
                                                    [(ngModel)]="selectedItems"
                                                    [settings]="settings"
                                                    (onSelect)="onItemSelect()"
                                                    (onDeSelect)="onItemSelect()"
                                                    (onSelectAll)="onItemSelect()"
                                                    (onDeSelectAll)="onItemSelect()"
                                                    (onGroupSelect)="onItemSelect()"
                                                    (onGroupDeSelect)="onItemSelect()"
                                                    (onFilterDeSelectAll)="onItemSelect()"
                                                    (onFilterSelectAll)="onItemSelect()"
                                            >
                                            </angular2-multiselect-custom>
                                        </div><!-- select -->
                                    </div>
                                    <div class="col-12 col-md-12 col-lg-6">
                                        <div>
                                            <label class="h-50">{{'select.label_period' | translate }}</label>
                                            <angular2-multiselect-custom
                                                    [data]="itemListInterval"
                                                    [(ngModel)]="selectedIntervalItems"
                                                    [settings]="settingsInterval"
                                                    (onSelect)="onItemSelect()">
                                            </angular2-multiselect-custom>
                                        </div><!-- select -->
                                    </div>
                                </div><!-- row -->
                            </div>
                            <div class="card-body">
                                <div class="row row-sm">
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="applications_count && !loading">
                                            <app-period-labels [data]="applications_count" [key]="'applications_count'"></app-period-labels>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="availability && !loading" class="position-relative">
                                            <div class="ribbon ribbon-top-right-15 new"><span>SOON</span></div>
                                            <div class="span-label d-flex justify-content-between align-items-start">
                                                <label class="color-a">Pratiche evase </label>
                                                <h2 class="color-a">22%</h2></div>
                                            <div class="desc up ">
                                                <p class="color-a"><span
                                                        class="span-label">{{'common.previous_period_var' | translate }}</span>
                                                    <span>
                                                        <strong>{{availability.first_availability_previous_period_var | number : '1.0-2':'it-IT' | relativeNumber}}</strong></span>
                                                </p>
                                                <p class="color-a">
                                                    <span class="span-label">{{'common.avg_var' | translate }}</span>
                                                    <span>
                                                        <strong>
                                                            {{availability.first_availability_avg_var | number : '1.0-2':'it-IT' | relativeNumber }}
                                                        </strong>
                                                    </span>
                                                </p>
                                            </div>
                                            <div class="span-label d-flex justify-content-between align-items-start">
                                                <label class="color-a">Tempo medio </label>
                                                <h2 class="color-a">3,33gg</h2></div>
                                            <div class="desc up">
                                                <p class="color-a"><span
                                                        class="span-label">{{'common.previous_period_var' | translate }}</span>
                                                    <span>
                                                        <strong>{{availability.first_availability_previous_period_var | number : '1.0-2':'it-IT' | relativeNumber}}</strong></span>
                                                </p>
                                                <p class="color-a">
                                                    <span class="span-label">{{'common.avg_var' | translate }}</span>
                                                    <span>
                                                        <strong>
                                                            {{availability.first_availability_avg_var | number : '1.0-2':'it-IT' | relativeNumber }}
                                                        </strong>
                                                    </span>
                                                </p>
                                            </div>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column" [class.justify-content-center] = "loading === true">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="active_users && !loading">
                                            <app-period-labels [data]="active_users" [key]="'active_users'"></app-period-labels>
                                        </div>
                                    </div><!-- col -->
                                    <div class="col-12 col-md-6 col-lg-3 px-3 d-flex flex-column">
                                        <loader *ngIf="loading" class="position-relative"></loader>
                                        <div *ngIf="applications_by_user && !loading">
                                            <app-period-labels [data]="applications_by_user" [key]="'applications_by_user'"></app-period-labels>
                                        </div>
                                    </div><!-- col -->
                                </div><!-- row -->
                            </div>
                        </div>
                    </div>
                    <div class="row w-100 px-1">
                        <div class="col-12 col-md-6 my-3">
                            <app-bar *ngIf="tab2 && chartsBarUser" [data]="chartsBarUser" [textLabel]="'charts.applications_for_week' | translate" [currentPlan]="plan"></app-bar>
                        </div>
                        <div class="col-12 col-md-6 d-flex justify-content-center my-3">
                            <app-pie *ngIf="tab2 && chartsPie" [data]="chartsPie" [textLabel]="'charts.applications_for_channel' | translate" [demo]="true"></app-pie>
                        </div>
                        <div class="col-12 col-md-6 my-3">
                            <app-bar *ngIf="tab2 && chartsBar_applications_and_users_by_time_slot" [data]="chartsBar_applications_and_users_by_time_slot" [textLabel]="'charts.applications_for_hours' | translate" [currentPlan]="plan"></app-bar>
                        </div>
                        <div class="col-12 col-md-6 d-flex justify-content-center my-3">
                            <app-pie *ngIf="tab2 && chartsPie1" [data]="chartsPie1" [textLabel]="'charts.applications_outcome' | translate" [demo]="true"></app-pie>
                        </div>
                    </div>
                </div>
              </div>
        </main>
    </div>
</div>

